IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Widget analytics

The widget analytic object

Attributes

organization_iduuid | null
widget_iduuid
datedate
viewsinteger
The widget analytic object

JSON

{
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "widget_id": "00000000-0000-0000-0000-000000000000",
  "date": "2026-03-12",
  "views": 1
}

List widget analytics

Filters

organization_idFilter<uuid | null>
widget_idFilter<uuid>
dateFilter<date>
viewsFilter<integer>

Responses

200

A list of widget analytics with the selected columns

206

Partial Content

GET /widget_analytics
curl -X GET "https://api.bookingmood.com/v1/widget_analytics?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"